Package: groovy.inspect.swingui

## [Groovy] Class TreeNodeWithProperties

- groovy.inspect.swingui.TreeNodeWithProperties

- This class is a TreeNode and you can store additional properties on it.

  Authors:
    Hamlet D'Arcy

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultMutableTreeNode` | `EMPTY_ENUMERATION`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<List<String>>` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TreeNodeWithProperties (def userObject, List<List<String>> properties)` Creates a tree node and attaches properties to it.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getPropertyValue(String name)`
    `` | `boolean` | `isClassNode()`
    `` | `boolean` | `isMethodNode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class DefaultMutableTreeNode`

    `getDepth, getNextSibling, getFirstChild, getChildAt, removeAllChildren, isNodeAncestor, isNodeChild, breadthFirstEnumeration, getUserObject, getPreviousSibling, getLastLeaf, postorderEnumeration, getChildAfter, isNodeSibling, getChildBefore, getLastChild, getFirstLeaf, getNextLeaf, getPreviousLeaf, setAllowsChildren, isNodeDescendant, getSharedAncestor, isNodeRelated, getUserObjectPath, getNextNode, getPreviousNode, preorderEnumeration, depthFirstEnumeration, pathFromAncestorEnumeration, getSiblingCount, getLeafCount, setUserObject, removeFromParent, getAllowsChildren, remove, remove, toString, clone, insert, add, getParent, getRoot, getPath, getIndex, setParent, isRoot, getLevel, children, isLeaf, getChildCount, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### List<List<String>> properties

  - ### Constructor Detail

    - #### TreeNodeWithProperties(def userObject, List<List<String>> properties)

      Creates a tree node and attaches properties to it.

      Parameters:
        `userObject` - same as a DefaultMutableTreeNode requires
        `properties` - a list of String lists

  - ### Method Detail

    - #### String getPropertyValue(String name)

    - #### boolean isClassNode()

    - #### boolean isMethodNode()